#ifndef _HIA_PARSE_H
#define _HIA_PARSE_H

#include <stdlib.h>
#include <stdio.h>
#include <assert.h>

#include "bitstream.h"
#include "headers.h"
#include "reconstruct.h"

extern pic_header *pic;

void parse_macroblock(bitstream *b, pic_header *pic, int quant);
void init_mb();
char find_start_code(bitstream *b);
seq_header *parse_sequence(bitstream *b);
int parse_GOP(bitstream *b);
int parse_picture(bitstream *b);
void parse_slice(bitstream *b, u_char slicenum);
void parse_userdata(bitstream *b);
void parse_extension(bitstream *b);

#endif
