/***********************************************************************
 * Quantization Routines...
 * 
 * 18-796: Multimedia Systems
 * Group Members: Peter Boecher
 *                Wai Kam
 *                Henele Adams
 *
 *
 ***********************************************************************/


#ifndef _HIA_QUANTIZE_H
#define _HIA_QUANTIZE_H

#include "reconstruct.h"
#include "seq_iface.h"

void iquant_intra(int *coeffs, int blocknum);

void quant_intra(int *coeffs, int blocknum);

#define iquant_inter_single(num)     \
{                                                      \
  if (num < 0) {                                        \
    num = ((num<<1) - 1)*quant_scale;                   \
    if (!(num & 1)) num++;                              \
  } else {                                              \
    num = ((num<<1) + 1)*quant_scale;                   \
    num = (num-1) | 1;                                  \
  }                                                     \
}
  /*
  if (num > 2047) num = 2047;
  if (num < -2048) num = -2048;
  */


#endif
