#include "block_utils.h"

const int ZIGZAG_ORDER[64]={
  0,    1,      5,      6,      14,     15,     27,     28,
  2,    4,      7,      13,     16,     26,     29,     42,
  3,    8,      12,     17,     25,     30,     41,     43,
  9,    11,     18,     24,     31,     40,     44,     53,
  10,   19,     23,     32,     39,     45,     52,     54,
  20,   22,     33,     38,     46,     51,     55,     60,
  21,   34,     37,     47,     50,     56,     59,     61,
  35,   36,     48,     49,     57,     58,     62,     63
};


/*
int intra_quantize_coeffs(double coeffs[64]){
  static i;

  for(i = 0; i < 64; i++)
    coeffs[i] = coeffs[i] / INTRALUMIN_QUANT_TABLE[i];

  return(0);
}

int intra_inverse_quantize_coeffs(double coeffs[64]){
  static i;

  for(i = 0; i < 64; i++)
    coeffs[i] = coeffs[i] * INTRALUMIN_QUANT_TABLE[i];
  
  return(0);
}

int nonintra_quantize_coeffs(double coeffs[64]){
 static i;

  for(i = 0; i < 64; i++)
    coeffs[i] = coeffs[i] / 16;
  
  return(0);

}

int nonintra_inverse_quantize_coeffs(double coeffs[64]){
  static i;

  for(i = 0; i < 64; i++)
    coeffs[i] = coeffs[i] * 16;
  
  return(0);
}
*/

int dezigzag_block(int coeffs[64]){
  static int tempcoeffs[64];
  static int i;

  memcpy(tempcoeffs, coeffs, 64 * sizeof(int));
  for(i = 0; i < 64; i++) coeffs[i] = tempcoeffs[ZIGZAG_ORDER[i]];

  return (0);
}

int zigzag_block(int coeffs[64]){
  static int tempcoeffs[64];
  static int i;

  memcpy(tempcoeffs, coeffs, 64*sizeof(int));
  for(i = 0; i < 64; i++) coeffs[ZIGZAG_ORDER[i]] = tempcoeffs[i];

  return(0);
}




