/***********************************************************************
 * Fast one-dimensional DCT and IDCT algorithms for blocksize 8
 * 
 * 18-796: Multimedia Systems
 * Group Members: Peter Boecher
 *                Wai Kam
 *                Henele Adams
 *
 * Algorithm Source: Digital Video: An Introduction to MPEG-2
 *
 ***********************************************************************/

#ifndef _HIA_FAST_1D_DCT_H
#define _HIA_FAST_1D_DCT_H

//#define PI 3.141592653589793238462643383279502884197169
#include <math.h>

int dct(int pels[8], float coefs[8]);  /*returns 0 */
int idct(float coefs[8], int pels[8]); /*returns 0 */

/* Pure floating point in and out */
int dct_f(float pels[8], float coefs[8]);  /*returns 0 */
int idct_f(float coefs[8], float pels[8]); /*returns 0 */

#endif

