/***********************************************************************
 * Fast two-dimensional DCT and IDCT algorithms for blocksize 8x8
 * 
 * 18-796: Multimedia Systems
 * Group Members: Peter Boecher
 *                Wai Kam
 *                Henele Adams
 *
 ***********************************************************************/

#ifndef _HIA_FAST_2D_DCT_H
#define _HIA_FAST_2D_DCT_H

#include "fast_1d_dct.h"

int dct2d(int pels[64], int coeffs[64]); /* returns 0 */ 
/* Maybe should keeps as doubles/floats until quantized in encoding... */

int idct2d(int coeffs[64], int pels[64]); /* returns 0 */

#endif







